Skip to main content
POST
/
providers
/
{id}
/
prompts
Create Provider Prompt
curl --request POST \
  --url https://api.example.com/providers/{id}/prompts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": {
    "name": "<string>",
    "description": "<string>",
    "arguments": {},
    "messages": {}
  }
}
'
{
  "prompt": {
    "id": "kSuB9Gf6aD4",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "description": "<string>",
    "arguments": {},
    "messages": {}
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

Provider ID

Body

application/json
prompt
object

Response

201 - application/json

Provider Prompt created

prompt
object